Bug 968024 - [abrt] WARNING: at kernel/softirq.c:160 local_bh_enable_ip+0x60/0x90()
[abrt] WARNING: at kernel/softirq.c:160 local_bh_enable_ip+0x60/0x90()
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:ba3742bb4441ef3bae4a8fc13b4...
: Triaged
: 969633 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 15:42 EDT by Damian Wrobel
Modified: 2013-07-04 03:24 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 03:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (61.36 KB, text/plain)
2013-05-28 15:42 EDT, Damian Wrobel
no flags Details

  None (edit)
Description Damian Wrobel 2013-05-28 15:42:36 EDT
Description of problem:
First boot after installing this kernel.

Additional info:
WARNING: at kernel/softirq.c:160 local_bh_enable_ip+0x60/0x90()
Hardware name: HP Compaq 6720s
Modules linked in: ppdev parport_pc parport fuse vsock lockd sunrpc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 bnep cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_analog acpi_cpufreq e1000e snd_hda_intel btusb mperf coretemp arc4 iwl4965 iwlegacy mac80211 snd_hda_codec ptp pps_core snd_hwdep iTCO_wdt snd_seq iTCO_vendor_support lpc_ich mfd_core snd_seq_device snd_pcm cfg80211 hp_wmi serio_raw sparse_keymap bluetooth snd_page_alloc snd_timer microcode rfkill snd soundcore binfmt_misc uinput wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core
Pid: 1500, comm: wpa_supplicant Not tainted 3.9.4-100.fc17.i686.PAE #1
Call Trace:
 [<c044e8eb>] ? print_hardware_dmi_name+0x2b/0x30
 [<c044e959>] warn_slowpath_common+0x69/0x90
 [<c04568d0>] ? local_bh_enable_ip+0x60/0x90
 [<c04568d0>] ? local_bh_enable_ip+0x60/0x90
 [<c044e9a2>] warn_slowpath_null+0x22/0x30
 [<c04568d0>] local_bh_enable_ip+0x60/0x90
 [<c09a3d03>] _raw_spin_unlock_bh+0x13/0x20
 [<f80d2cc4>] ieee80211_get_tkip_p2k+0x74/0x90 [mac80211]
 [<f809b549>] il4965_tx_skb+0xe59/0x1110 [iwl4965]
 [<c056e7a8>] ? dput+0x28/0x160
 [<f8090088>] ? il4965_fill_txpower_tbl+0xb8/0xcc0 [iwl4965]
 [<f809b895>] il4965_mac_tx+0x95/0x1b0 [iwl4965]
 [<f80de6a3>] __ieee80211_tx+0xf3/0x2d0 [mac80211]
 [<f80e02a8>] ieee80211_tx+0xb8/0xf0 [mac80211]
 [<f80e037d>] ieee80211_xmit+0x9d/0xf0 [mac80211]
 [<f80e1105>] ieee80211_subif_start_xmit+0x9f5/0xba0 [mac80211]
 [<c08b411e>] dev_hard_start_xmit+0x24e/0x4c0
 [<c08ce37f>] sch_direct_xmit+0xaf/0x180
 [<c08adb02>] ? netdev_pick_tx+0x32/0xb0
 [<c08a9d00>] ? memcpy_fromiovecend+0x50/0x80
 [<c08b450d>] dev_queue_xmit+0x17d/0x3c0
 [<c097e810>] packet_sendmsg+0xa20/0xb90
 [<c089f270>] ? sock_recvmsg+0xb0/0xe0
 [<c097ea3b>] ? packet_recvmsg+0xbb/0x4c0
 [<c08cd5e0>] ? eth_rebuild_header+0x80/0x80
 [<c089dcbc>] sock_sendmsg+0x9c/0xd0
 [<c04849fa>] ? update_curr+0xba/0x1f0
 [<c089fd5d>] sys_sendto+0xfd/0x140
 [<c049cdde>] ? ktime_get+0x5e/0x100
 [<c045dddf>] ? run_timer_softirq+0x2f/0x210
 [<c09ab573>] ? common_interrupt+0x33/0x38
 [<c08a0771>] sys_socketcall+0x1d1/0x2d0
 [<c09ab08d>] sysenter_do_call+0x12/0x28
Comment 1 Damian Wrobel 2013-05-28 15:42:42 EDT
Created attachment 754058 [details]
File: dmesg
Comment 2 Damian Wrobel 2013-05-28 16:45:45 EDT
100% reproducible after enabling wireless in KDE (see also bug 968041#c3).
Comment 3 Stanislaw Gruszka 2013-05-29 15:31:30 EDT
There is fix for that bug, already on it's way to upstream/stable:
https://git.kernel.org/cgit/linux/kernel/git/linville/wireless.git/commit/?id=655914ab863bcc06c84270e4159fd59002d6b529
Comment 4 Stanislaw Gruszka 2013-06-03 14:45:35 EDT
*** Bug 969633 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2013-07-04 02:57:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Stanislaw Gruszka 2013-07-04 03:24:41 EDT
This is already fixed on 3.9.5.

Note You need to log in before you can comment on or make changes to this bug.